分类目录

链接

2012年二月
« 1月   3月 »
 12345
6789101112
13141516171819
20212223242526
272829  

近期文章

热门标签

博主推荐

现在位置:    首页 > Access > 正文
System.Data.OleDb.OleDbException: 操作必须使用一个可更新
Access 暂无评论 阅读(2,637)

最近遇到一个问题,郁闷如下:

System.Data.OleDb.OleDbException: 操作必须使用一个可更新

System.Data.OleDb.OleDbException: 操作必须使用一个可更新

本地测试完全正常,一到服务器就不对!

百度一下,一切OK!

问题分析:分析一下用户访问的情况,用户请求web页面,服务器使用系统内置的的IIS_WPG组的帐户 


来访问Access数据库,若IIS_WPG组的帐户没有Access数据库文件的"修改"权限,就会产生这个异常 

"IIS_WPG"用户组是用于访问和管理IIS信息的内置帐户,默认情况下对IIS中虚拟目录的文件只有"读取" 权限. 
解决方法: 
在Access数据库文件上单击右键->属性->安全 
单击添加,在文本框中输入"IIS_WPG",单击确定, 
给IIS_WPG设置权限,选中"允许写入",确定OK! 
--------------------------------------------- 
有时查不到安全选项卡怎么办? 

找到数据文件夹所在地,在窗口上找到工具-->文件夹选项-->查看-->使用简单文件共享(推荐)的勾去掉, 
然后按上面写的做即可 
------------------------------- 
方法二:在ervryone 中给读权限,即可

有问题留言!

本文版权归数据库之家所有,转载引用请完整注明以下信息:
本文作者:Bruce
本文地址:System.Data.OleDb.OleDbException: 操作必须使用一个可更新 | 数据库之家

发表评论

留言无头像?